> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Training Control Command



## OpenAPI

````yaml https://api.truestate.io/openapi.json post /pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/commands
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/commands:
    post:
      tags:
        - training-checkpoints
      summary: Create Training Control Command
      operationId: >-
        create_training_control_command_pipelines__pipeline_id__runs__run_id__training__job_name__commands_post
      parameters:
        - name: pipeline_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Pipeline Id
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Run Id
        - name: job_name
          in: path
          required: true
          schema:
            type: string
            title: Job Name
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTrainingControlCommandRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrainingControlCommandRead'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateTrainingControlCommandRequest:
      properties:
        action:
          $ref: '#/components/schemas/TrainingControlAction'
        checkpoint_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Checkpoint Id
        runtime_overrides:
          additionalProperties: true
          type: object
          title: Runtime Overrides
        idempotency_key:
          type: string
          format: uuid
          title: Idempotency Key
        supervision_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Supervision Id
        supervision_lease_token:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Supervision Lease Token
      type: object
      required:
        - action
        - idempotency_key
      title: CreateTrainingControlCommandRequest
    TrainingControlCommandRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        sequence:
          type: integer
          title: Sequence
        action:
          $ref: '#/components/schemas/TrainingControlAction'
        checkpoint_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Checkpoint Id
        status:
          $ref: '#/components/schemas/TrainingControlCommandStatus'
        idempotency_key:
          type: string
          format: uuid
          title: Idempotency Key
        requested_by_member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Requested By Member Id
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        runtime_overrides:
          additionalProperties: true
          type: object
          title: Runtime Overrides
        created_at:
          type: string
          format: date-time
          title: Created At
        applied_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Applied At
      type: object
      required:
        - id
        - sequence
        - action
        - status
        - idempotency_key
        - created_at
      title: TrainingControlCommandRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TrainingControlAction:
      type: string
      enum:
        - continue
        - pause
        - resume
        - rollback
        - warm_restart
        - finish_from_checkpoint
        - abort
      title: TrainingControlAction
    TrainingControlCommandStatus:
      type: string
      enum:
        - pending
        - applied
        - rejected
      title: TrainingControlCommandStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````